#!/usr/bin/perl 

# Copyright - Rolf Poser - rolf@stasolutions.co.za
# 07 December 2003 under the GPL license agreement!
#
# Version 0.2 - PLEASE SEE README.txt for more information.
#
# USAGE:
#
# perl unix_apachestats.pl <hostname>
#
# <hostname> is optional and can be an IP address or host name.
#            If none is given, "localhost" is assumed.
#
# LOCAL SETTINGS:
#
# Change the values below to point to the right places for your installation
#

$BASH="/bin/bash";

$LYNX="/usr/bin/lynx";

$HEAD="/usr/bin/head";

#
# YOU SHOULDN"T NEED TO CHANGE ANYTHING BEYOND THIS POINT..
#

my $hostname = $ARGV[0];

chomp $hostname;

if ($hostname eq '') {
        $hostname = "localhost";
}

$URL = "http:\/\/".$hostname."\/server-status?auto";

$output = `$BASH -c '$LYNX -dump $URL | $HEAD -9'`; 

$output =~ /Total Accesses: (.*)/; 
print "apache_total_hits:".$1." "; 
$output =~ /Total kBytes: (.*)/; 
print "apache_total_kbytes:".$1." ";
$output =~ /BusyWorkers: (.*)/;
print "apache_busy_workers:".$1." ";
$output =~ /IdleWorkers: (.*)/;
print "apache_idle_workers:".$1;

# FIN
